Page MenuHomePhabricator

Technical Wishes Workshop
Closed, ResolvedPublic

Description

Sunday 17:00 GMT+2/CEST
Let’s get together and discuss ways to improve MediaWiki/Wikipedia! Everyone is welcome to join. It would be great to have a range of experience levels and nationalities all brainstorming in the same ‘room.’

Agenda
Introductions, Brainstorming Session, Discussion

Tools
We will use a Jitsi video call to talk to each other and a Miro board for the workshop activities. Experience with the tools is not necessary and they are free to use without downloads or sign-ups. More will be explained in the session.

Link to Jitsi join: https://meet.jit.si/TechWishWorkshop

RSVP
Please RSVP by subscribing to this task, it’s not a requirement to join if you subscribe but we appreciate it as it helps us prepare.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2020, 9:17 AM
ECohen_WMDE triaged this task as Medium priority.May 7 2020, 9:18 AM
ECohen_WMDE updated the task description. (Show Details)

Dial-in Numbers
If you'd like to call in for your audio, the following numbers are available. All have the same PIN: 1315 2147 93#

US +1.512.402.2718
UK +44.121.468.3154
France +33.1.84.88.6478
Germany +49.89.380.38719
Netherlands +31.85.208.1541
Spain +34.932.205.409
Canada +1.647.243.6108
Australia +61.8.7150.1136
Brazil +55.21.3500.0112
Japan +81.3.4510.2372
Switzerland +41.61.588.0496

Salgo60 added a subscriber: Salgo60.EditedMay 9 2020, 1:00 PM
  • Challenge data/entity roundtrips today with > 4000 external identifiers and now also having linked data as depict in pictures we need to define an echo system for managing entities. I can see the problem with 160 000 entities in Europeana and more will come T251225: Change management of entities created and deleted in Europeana my confused thought is that we need to create an echosystem inbetween the data provider and Wikidata see [T251225#6105481] using WIkibase feels like a good first step
      • lesson learned connecting > 10 external sources
        • no one has had a mature change process were you get a helpdesk id or have public workboards to track/subscribe on changes
        • lack of SPARQL federation --> in best case write tools reading JSO
        • lack of discussion pages / possibility to notify
        • lack of version management of data --> you can nearly never see change history
      • we need to define what requirements/problems we see today
        • problem communicate / error report errors in data
          • potential duplicates / errors in data / get feedback when they have changed the data
        • no standard change API compare wikidata and how Google reads it 20 minutes after a change has been done in WD... we need to help external datasources to upgrade the way they communicate and manage data Wikibase could be one way...
          • .....
    • Question can the wikimedia plattform be developed so this roundtrip is easier...
Yupik added a subscriber: Yupik.May 9 2020, 6:29 PM
Nattes added a subscriber: Nattes.May 9 2020, 6:30 PM
Jarekt added a subscriber: Jarekt.May 10 2020, 12:57 PM

Hi, the Wikimedia Hackathon 2020 took place two months ago. Can you please provide an update on this task? If this task was worked on and finished, then please change the task status to resolved. If this task is still valid and should stay open, then please associate an active project tag to this task so this task can be found on an active project workboard. Thanks!

ECohen_WMDE closed this task as Resolved.Jul 7 2020, 11:19 AM

Thanks to all that attended! We appreciated you joining us and sharing your thoughts.

Hello again - quick note to add: multiple people who joined said that they wished that our team dealt more with Wikidata. While Technical Wishes does not, there are other UX designers at WMDE fully focused on making that experience better. Currently two of them (@Charlie_WMDE and @maca) are doing usability testing on a new tool to help create queries for those who don't know or struggle with SPARQL. They are particularly interested in those who need queries for their maintenance work. If anyone here is interested and fits this description, get it in touch! You can reply here or send an email to either of them at: charlie.kritschmar@wikimedia.de or mattia.capozzi@wikimedia.de. Thanks!